summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/distcc
diff options
context:
space:
mode:
authorHongxu Jia <hongxu.jia@windriver.com>2015-01-22 17:09:14 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-01-29 15:36:47 +0000
commitc4c885b838eb9578a18c88e88b1ba071eddc53b1 (patch)
tree82521831692e11656d6678ac53a0f90272f544ce /meta/recipes-devtools/distcc
parent959759bfb965f3632699bfa3289844836adca3ec (diff)
downloadast2050-yocto-poky-c4c885b838eb9578a18c88e88b1ba071eddc53b1.zip
ast2050-yocto-poky-c4c885b838eb9578a18c88e88b1ba071eddc53b1.tar.gz
distcc: fix initscript can not stop distcc daemon correctly
The distcc's initscript has used option '--pid-file' to save daemon process id, but it didn't to create that file, that caused start/stop distcc daemon failed. We refer what Ubuntu 14.04 did, create pid file before start and delete it after stop [YOCTO #7090] (From OE-Core rev: 3b0d6c7c324f0283cfab10445d1a5a3bf2526598) Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/distcc')
-rwxr-xr-xmeta/recipes-devtools/distcc/files/distcc5
1 files changed, 5 insertions, 0 deletions
diff --git a/meta/recipes-devtools/distcc/files/distcc b/meta/recipes-devtools/distcc/files/distcc
index c7c414d..e36f0fa 100755
--- a/meta/recipes-devtools/distcc/files/distcc
+++ b/meta/recipes-devtools/distcc/files/distcc
@@ -51,6 +51,9 @@ should_start() {
echo "$DAEMON not starting"
exit 0
fi
+ # we need permission to write to the pid file
+ touch /var/run/$NAME.pid
+ chown distcc /var/run/$NAME.pid
}
case "$1" in
@@ -75,6 +78,7 @@ case "$1" in
echo "$0: stop failed with error code $code" >&2
exit $code
}
+ rm -f /var/run/$NAME.pid >/dev/null 2>&1
echo "."
;;
restart|force-reload)
@@ -92,6 +96,7 @@ case "$1" in
--exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
{
code=$?
+ rm -f /var/run/$NAME.pid >/dev/null 2>&1
echo "$0: restart failed with error code $code" >&2
exit $code
}
OpenPOWER on IntegriCloud